# 获取用户通话详情 (/zh-CN/api-reference/api-ref/agora-analytics/call-sessions)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

通过指定通话 ID 来获取用户的通话详情。

- OpenAPI: /openapi/agora-analytics/analytics-rest-api.zh-CN.yaml
- Operation ID: get-beta-analytics-call-sessions
- Method: GET
- Path: /beta/analytics/call/sessions
- Endpoint: https://api.sd-rtn.com/beta/analytics/call/sessions

## Servers

- https://api.sd-rtn.com

## Authorization

This endpoint requires authentication.

- `Authorization`

## Parameters

- `start_ts` (query, required, number) - 查询的时间范围起点。Unix 时间戳（秒）。
- `end_ts` (query, required, number) - 查询的时间范围终点。Unix 时间戳（秒）。
- `call_id` (query, required, string) - 通话 ID，即通话的唯一标识。
- `page_no` (query, optional, number) - 翻页序号。
  - Default: `1`
- `page_size` (query, optional, number) - 每页的用户通话数，最大不能超过 100。如果指定的值超过 100，每页的用户通话数最多仍为 100 个。
  - Default: `20`
- `uids` (query, optional, string) - 请求的用户 uid 列表，多个 uid 用逗号隔开（如 `uids=10001,10002,10003`），最多可以指定 10 个 uid。用户 ID 根据实际的场景会存在复用的情况，如果请求指定 10 个 uid，那么返回的用户通话数会大于等于 10。
- `appid` (query, required, string) - 你的项目使用的 [App ID](/zh-CN/introduction/glossary#appid)。
- `exclude_server_user` (query, optional, boolean) - 是否排除 Linux 用户。
- `true`: 排除 Linux 用户。
- `false`: 不排除 Linux 用户。
  - Default: `true`

## Request body

No request body.

## Responses

### 200

OK

- `code` (number) - 响应状态码。200 表示请求成功，详见[响应状态码](/zh-CN/realtime-media/usage-analytics/reference/response-code)。
- `message` (string) - 错误消息。
- `requestId` (string) - 对应请求的 ID。
- `has_more` (boolean) - 是否还有通话未列出。
- `true`：表示符合查询条件的通话没有在 `call_lists` 中全部列出。
- `false`：表示符合查询条件的通话已全部列出。
如果你要查找的通话未列出，请修改查询条件重新发送请求。
- `total_size` (number) - 返回的用户通话总数。
- `page_no` (number) - 翻页序号。
- `page_size` (number) - 每页的用户通话数。
- `call_info` (array)
  - `call_info.items` (object)
    - `call_info.items.sid` (string) - 用户通话的唯一标识。
    - `call_info.items.cname` (string) - 频道名称。
    - `call_info.items.uid` (number) - 用户 ID。
    - `call_info.items.account` (string) - 用户自定义的昵称。
    - `call_info.items.network` (string) - 网络类型。
    - `call_info.items.platform` (string) - 平台信息。
    - `call_info.items.speaker` (boolean) - 用户在通话中是否发送音视频。
    - `call_info.items.sdk_version` (string) - SDK 版本信息。
    - `call_info.items.device_type` (string) - 设备信息。
    - `call_info.items.join_ts` (number) - 用户加入频道的时间。Unix 时间戳（秒）。
    - `call_info.items.leave_ts` (number) - 用户离开频道的时间。Unix 时间戳（秒）。
    - `call_info.items.finished` (boolean) - 用户是否已离开频道。
    - `call_info.items.roles` (string) - 用户角色标识，体现了该用户的角色和本次通话中用到的功能。
- `Audience`：接收端用户。
- `Host`：发送端用户。
- `Screen Share`：屏幕共享。
- `Interative Live Streaming(ILS)`：互动直播。
- `Broadcast Streaming(BS)`：极速直播。
- `Streaming robot`：推流机器人。
- `On-Premise Recording`：本地录制。
- `Cloud Recording`：云录制。
- `WebPage Recording`：页面录制。
    - `call_info.items.user_video_freeze_rate` (number) - 用户级别视频卡顿率。
    - `call_info.items.user_audio_freeze_rate` (number) - 用户级别音频卡顿率。

## Response examples

### 200

```json
{
  "code": 0,
  "message": "string",
  "requestId": "15c99xxxxxxxxxxx9be9b",
  "total_size": 101,
  "page_no": 1,
  "page_size": 20,
  "call_info": [
    {
      "sid": "xxxxxxxxxxxxxxxxxxx",
      "cname": "cname1",
      "uid": "1234567",
      "account": "UserA",
      "network": "LAN",
      "platform": "Linux",
      "speaker": false,
      "roles": [
        "SPEAKER",
        "SCREEN_SHARER"
      ],
      "sdk_version": "2.3.3.150",
      "device_type": "Linux version 4.14.255-311-248.529.amzn2.x86_64 (mockbuild@ip-10",
      "join_ts": 1692584005,
      "leave_ts": 1692584015,
      "finished": true,
      "user_audio_freeze_rate": 0.01,
      "user_video_freeze_rate": 0.03
    }
  ]
}
```
